package com.yizhi.wechat.application.feign;

import com.yizhi.wechat.application.vo.wechat.MiniProgramVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 小程序获取信息
 * @author lingye
 * @date 2020年1月3日
 */
@FeignClient(name = "wechat", contextId = "MiniProgramClient")
public interface MiniProgramClient {
    /**
     * 获取小程序
     * @param appId
     * @param code
     * @return
     */
    @GetMapping(value = "/miniProgram/get")
    MiniProgramVo getMiniProgram(
            @RequestParam(name = "appId",required = true) String appId,
            @RequestParam(name = "code",required = true) String code,
            @RequestParam(name = "headImg", required = false) String headImg
    );
}
