package com.yizhi.wechat.application.feign;

import com.yizhi.wechat.application.vo.wechat.SuiteTicketVO;
import com.yizhi.wechat.application.vo.wechat.WechatProviderVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "wechat", contextId = "WechatProviderClient")
public interface WechatProviderClient {
    /**
     * @param signature
     * @param timestamp
     * @param nonce
     * @param echostr
     * @return
     */
    @ResponseBody
    @GetMapping(value = "/provider/get")
    String checkToken(@RequestParam(name = "msg_signature") String signature,
                      @RequestParam(name = "timestamp") String timestamp,
                      @RequestParam(name = "nonce") String nonce,
                      @RequestParam(name = "echostr") String echostr
    );

    /**
     *
     * @param wechatProviderVO
     * @return
     */
    @PostMapping(value = "/provider/handle")
    Object handlerMessage(@RequestBody WechatProviderVO wechatProviderVO);


    @RequestMapping(value = "/provider/callback", method = RequestMethod.GET)
    String callBack(@RequestParam(name = "msg_signature") String signature,
                           @RequestParam(name = "timestamp") String timestamp,
                           @RequestParam(name = "nonce") String nonce,
                           @RequestParam(name = "echostr")  String echostr
    );

    /**
     * 获取微信服务商的 suite_ticket
     * @param suiteTicketVO
     * @return
     */
    @PostMapping(value = "/provider/suite/receive", produces = {"application/xml;charset=UTF-8"})
    String suiteReceive(@RequestBody SuiteTicketVO suiteTicketVO);

}