package com.yizhi.application.controller;

import com.alibaba.fastjson.JSON;
import com.yizhi.core.application.cache.RedisCache;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "微信登录接口")
@RequestMapping("/mytest/")
public class TestRedis {
    @Autowired
    RedisCache redisCache;

    @GetMapping(value = "/get")
    public Object getUser(
            @RequestParam(name = "paramUser", required = false) String paramUser
    ) {
        Object pwdTime = redisCache.hget("account:pwd", paramUser);
        return JSON.toJSONString(pwdTime);
    }

    @GetMapping(value = "/set")
    public Boolean setUser(
            @RequestParam(name = "paramUser", required = false) String paramUser,
            @RequestParam(name = "time", required = false) Integer time
    ) {
        boolean pwd = redisCache.hset("account:pwd", paramUser, "pwd", time);
        return pwd;
    }

    @GetMapping(value = "/setredis")
    public Boolean seRetUser(
            @RequestParam(name = "paramUser", required = false) String paramUser,
            @RequestParam(name = "time", required = false) Integer time
    ) {

        boolean hset = redisCache.hset("pwd" + paramUser, "pwd"+paramUser, paramUser, time);
        return hset;
    }

    @GetMapping(value = "/getRedis")
    public Object getRetUser(
            @RequestParam(name = "paramUser", required = false) String paramUser
    ) {

        Object o = redisCache.hget("pwd" + paramUser,"pwd"+paramUser);
        System.out.println("返回：" + JSON.toJSON(o));
        return o;


    }


}
