package com.yizhi.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.PublicPlatformConfig;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
public interface IPublicPlatformConfigService extends IService<PublicPlatformConfig> {
    /**
     * 获取公众服务号实体
     *
     * @param appId   公众号的APPID
     * @param agentId agentId
     * @return
     */
    PublicPlatformConfig getPubConfig(String appId, String agentId);

    /**
     * 获取配置列表
     * @param appId
     * @param agentId
     * @return
     */
    List<PublicPlatformConfig> getPubConfigs(String appId, String agentId);

    /**
     * 获取公众号配置列表
     *
     * @return
     */
    List<PublicPlatformConfig> getPlatformInfos();

    /**
     * 插入信息
     *
     * @param publicPlatformConfig
     * @return
     */
    PublicPlatformConfig insertPublicPlatformConfigInfo(PublicPlatformConfig publicPlatformConfig);

    /**
     * 查询列表
     *
     * @param pageNo
     * @param pageSize
     * @param name
     * @return
     */
    Page<PublicPlatformConfig> findPublicConfigList(Integer pageNo, Integer pageSize, String name);

    /**
     * 获取实体
     *
     * @param publicPlatformConfig
     * @return
     */
    PublicPlatformConfig getPublicPlatformConfig(PublicPlatformConfig publicPlatformConfig);

    /**
     *  更具appid查询在➕的config
     * @param appId 公众号APPID
     * @return config
     */
    PublicPlatformConfig getConfigByAppId(String appId);

}
