package com.yizhi.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.application.domain.SuiteTicket;
import com.yizhi.application.mapper.SuiteTicketMapper;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.application.orm.util.QueryUtil;
import com.yizhi.application.service.ISuiteTicketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 第三方应用suite_ticket 表 服务实现类
 * </p>
 *
 * @author lingye
 * @since 2020-08-05
 */
@Service
public class SuiteTicketServiceImpl extends ServiceImpl<SuiteTicketMapper, SuiteTicket> implements ISuiteTicketService {
    @Autowired
    IdGenerator idGenerator;

    @Override
    public Boolean saveOrUpdateSuiteTicket(SuiteTicket suiteTicket) {
        SuiteTicket s = new SuiteTicket();
        s.setSuiteId(suiteTicket.getSuiteId());
        s.setDeleted(0);

        SuiteTicket st = this.selectOne(QueryUtil.condition(s));
        boolean updateRes;
        if (st == null) {
            suiteTicket.setId(idGenerator.generate());
            suiteTicket.setDeleted(0);
            Date date = new Date();
            suiteTicket.setCreateTime(date);
            suiteTicket.setUpdateTime(date);
            updateRes = this.insert(suiteTicket);
        } else {
            suiteTicket.setDeleted(0);
            suiteTicket.setId(st.getId());

            updateRes = this.updateById(suiteTicket);
        }


        return updateRes;
    }

    @Override
    public SuiteTicket getSuiteTicketById(String suiteId) {
        SuiteTicket suiteTicket = new SuiteTicket();
        suiteTicket.setDeleted(0);
        suiteTicket.setSuiteId(suiteId);
        return this.selectOne(QueryUtil.condition(suiteTicket));
    }
}
